Package org.apache.cxf.annotations

# Annotation Interface FastInfoset

@Documented @Retention(RUNTIME) @Target(TYPE) @Inherited public @interface FastInfoset
Enables FastInfoset negotiation

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `boolean`
  `force`
  Set to true in order for FastInfoset to be always used without negotiation
  `int`
  `serializerAttributeValueMapMemoryLimit`
  Sets the property `attributeValueMapMemoryLimit` on FastInfoset StAX Serializers.
  `int`
  `serializerCharacterContentChunkMapMemoryLimit`
  Sets the property `characterContentChunkMapMemoryLimit` on FastInfoset StAX Serializers.
  `int`
  `serializerMaxAttributeValueSize`
  Sets the property `maxAttributeValueSize` on FastInfoset StAX Serializers.
  `int`
  `serializerMaxCharacterContentChunkSize`
  Sets the property `maxCharacterContentChunkSize` on FastInfoset StAX Serializers.
  `int`
  `serializerMinAttributeValueSize`
  Sets the property `minAttributeValueSize` on FastInfoset StAX Serializers.
  `int`
  `serializerMinCharacterContentChunkSize`
  Sets the property `minCharacterContentChunkSize` on FastInfoset StAX Serializers.

- ## Element Details

  - ### force

    boolean force
    Set to true in order for FastInfoset to be always used without negotiation
    Default:
      `false`

  - ### serializerAttributeValueMapMemoryLimit

    int serializerAttributeValueMapMemoryLimit
    Sets the property `attributeValueMapMemoryLimit` on FastInfoset StAX Serializers. The property controls attribute value map size and can be used to control the memory and (indirectly) CPU footprint of processing.
    Default:
      `-1`

  - ### serializerMinAttributeValueSize

    int serializerMinAttributeValueSize
    Sets the property `minAttributeValueSize` on FastInfoset StAX Serializers. The property controls the minimum size of attribute values to be indexed.
    Default:
      `-1`

  - ### serializerMaxAttributeValueSize

    int serializerMaxAttributeValueSize
    Sets the property `maxAttributeValueSize` on FastInfoset StAX Serializers. The property controls the maximum size of attribute values to be indexed. Tests have shown that setting this property to lower values reduces CPU burden of processing, at the expense of larger sizes of resultant encoded Fast Infoset data.
    Default:
      `-1`

  - ### serializerCharacterContentChunkMapMemoryLimit

    int serializerCharacterContentChunkMapMemoryLimit
    Sets the property `characterContentChunkMapMemoryLimit` on FastInfoset StAX Serializers. The property controls character content chunk map size and can be used to control the memory and (indirectly) CPU footprint of processing.
    Default:
      `-1`

  - ### serializerMinCharacterContentChunkSize

    int serializerMinCharacterContentChunkSize
    Sets the property `minCharacterContentChunkSize` on FastInfoset StAX Serializers. The property controls the minimum size of character content chunks to be indexed.
    Default:
      `-1`

  - ### serializerMaxCharacterContentChunkSize

    int serializerMaxCharacterContentChunkSize
    Sets the property `maxCharacterContentChunkSize` on FastInfoset StAX Serializers. The property controls the maximum size of character content chunks to be indexed. Tests have shown that setting this property to lower values reduces CPU burden of processing, at the expense of larger sizes of resultant encoded Fast Infoset data.
    Default:
      `-1`